---
name: Jen-Shin Lin
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/backend-engineer/#engineering-productivity">Senior
  Backend Engineer, Engineering Productivity</a>
reports_to: danielcroft
picture: jen-shin.jpg
twitter: godfat
gitlab: godfat-gitlab
departments:
- Engineering Function
- Quality Department
- Engineering Productivity Team
- Merge Request Coach
specialty: Engineering Productivity
projects:
  gitlab:
  - maintainer backend
  - maintainer tooling
  gitlab-qa: reviewer
  gitlab-triage: maintainer
  gitlab-styles: maintainer
  gitlab-dangerfiles: maintainer
  gitlab-rspec-profiling-stats: reviewer
  quality-pipeline-common: maintainer
  triage-ops: maintainer
expertise: |
  <li><a href="https://handbook.gitlab.com/job-families/expert/merge-request-coach/">Merge Request Coach</a></li>
  <li><a href="https://docs.gitlab.com/ee/administration/reply_by_email.html">Reply by Email</a> <a href="/company/team/structure/#expert">expert</a></li>
story: |
  Jen-Shin is a Taiwanese who is also known as @godfat on the Internet. He learned
  Ruby from 2006 and has built a ton of stuffs with it including open source libraries.
  He''s also passionate about functional programming, particularly Haskell. Other
  than programming, Jen-Shin loves computer games, especially some indie games. At
  some point he would really like to write one indie game as well, combining two major
  interests.
domain_expertise:
- tooling_pipelines
- tooling_workflow
- ruby
- rails

